JspFactoryImpl (Tomcat API Documentation)
Keywords: org.apache.jasper.runtime.JspFactoryImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.runtime
Class JspFactoryImpl

    java.lang.Object
      javax.servlet.jsp.JspFactory
          org.apache.jasper.runtime.JspFactoryImpl

    public class JspFactoryImpl

extends javax.servlet.jsp.JspFactory

Implementation of JspFactory.

Author:
  Anil K. Vijendran

Nested Class Summary
`protected class` | `JspFactoryImpl.PageContextPool`

Constructor Summary
`JspFactoryImpl()`

Method Summary
`javax.servlet.jsp.JspEngineInfo` | `getEngineInfo()` called to get implementation-specific information on the current JSP engine.
`javax.servlet.jsp.JspApplicationContext` | `getJspApplicationContext(javax.servlet.ServletContext context)` Obtain the `JspApplicationContext` instance that was associated within the passed `ServletContext` for this web application.
`javax.servlet.jsp.PageContext` | `getPageContext(javax.servlet.Servlet servlet, javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, java.lang.String errorPageURL, boolean needsSession, int bufferSize, boolean autoflush)` obtains an instance of an implementation dependent javax.servlet.jsp.PageContext abstract class for the calling Servlet and currently pending request and response.
`void` | `releasePageContext(javax.servlet.jsp.PageContext pc)` called to release a previously allocated PageContext object.

Methods inherited from class javax.servlet.jsp.JspFactory
`getDefaultFactory, setDefaultFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspFactoryImpl

    public JspFactoryImpl()

Method Detail

### getPageContext

    public javax.servlet.jsp.PageContext getPageContext(javax.servlet.Servlet servlet,
                                                        javax.servlet.ServletRequest request,
                                                        javax.servlet.ServletResponse response,
                                                        java.lang.String errorPageURL,
                                                        boolean needsSession,
                                                        int bufferSize,
                                                        boolean autoflush)

  Description copied from class: `javax.servlet.jsp.JspFactory`

  obtains an instance of an implementation dependent javax.servlet.jsp.PageContext abstract class for the calling Servlet and currently pending request and response.

  This method is typically called early in the processing of the _jspService() method of a JSP implementation class in order to obtain a PageContext object for the request being processed.

  Invoking this method shall result in the PageContext.initialize() method being invoked. The PageContext returned is properly initialized.

  All PageContext objects obtained via this method shall be released by invoking releasePageContext().

  Specified by:
    `getPageContext` in class `javax.servlet.jsp.JspFactory`
  Parameters:
    `servlet` - the requesting servlet
    `request` - the current request pending on the servlet
    `response` - the current response pending on the servlet
    `errorPageURL` - the URL of the error page for the requesting JSP, or null
    `needsSession` - true if the JSP participates in a session
    `bufferSize` - size of buffer in bytes, PageContext.NO_BUFFER if no buffer, PageContext.DEFAULT_BUFFER if implementation default.
    `autoflush` - should the buffer autoflush to the output stream on buffer overflow, or throw an IOException?
  Returns:
    the page context
  See Also:
    `PageContext`

### releasePageContext

    public void releasePageContext(javax.servlet.jsp.PageContext pc)

  Description copied from class: `javax.servlet.jsp.JspFactory`

  called to release a previously allocated PageContext object. Results in PageContext.release() being invoked. This method should be invoked prior to returning from the _jspService() method of a JSP implementation class.

  Specified by:
    `releasePageContext` in class `javax.servlet.jsp.JspFactory`
  Parameters:
    `pc` - A PageContext previously obtained by getPageContext()

### getEngineInfo

    public javax.servlet.jsp.JspEngineInfo getEngineInfo()

  Description copied from class: `javax.servlet.jsp.JspFactory`

  called to get implementation-specific information on the current JSP engine.

  Specified by:
    `getEngineInfo` in class `javax.servlet.jsp.JspFactory`
  Returns:
    a JspEngineInfo object describing the current JSP engine

### getJspApplicationContext

    public javax.servlet.jsp.JspApplicationContext getJspApplicationContext(javax.servlet.ServletContext context)

  Description copied from class: `javax.servlet.jsp.JspFactory`

  Obtain the `JspApplicationContext` instance that was associated within the passed `ServletContext` for this web application.

  Specified by:
    `getJspApplicationContext` in class `javax.servlet.jsp.JspFactory`
  Parameters:
    `context` - the current web application's `ServletContext`
  Returns:
    `JspApplicationContext` instance

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.